Bug 807473 - Need an official script from dev that registers instances to katello
Summary: Need an official script from dev that registers instances to katello
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Common
Classification: Retired
Component: Documentation
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
Assignee: Greg Blomquist
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-27 21:17 UTC by wes hayutin
Modified: 2012-05-15 20:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 20:54:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0585 normal SHIPPED_LIVE new packages: aeolus-configserver 2012-05-15 22:31:37 UTC

Description wes hayutin 2012-03-27 21:17:08 UTC
Description of problem:

Part of what we are shipping for CF 1.0 is the ability of cloud engine instances to register to a katello server.

Known limitations have been found in ec2, and are not part of the scope of this bug.  The scope of this bug should be for rhevm, vsphere providers.

CloudForms Devel needs to provide a reference script that provides the minimum calls to register a cloud engine instance to katello via config server.

QE would like to qualify the script and sign off on it.

We would like to see the script shipped or published as doc.

Comment 2 wes hayutin 2012-03-27 21:34:40 UTC
Looking for two pieces of the puzzle here I think..

minimum amount of scripting needed to register to katello 
and 
minimum amount of deployable xml to register to katello

Comment 3 Hugh Brock 2012-03-27 21:51:19 UTC
Greg, please connect with Steve or Scott from ref-arch to get what they have already put together for this and make sure it works properly. Feel free to grab whomever you need to help from the System Engine side.

Comment 4 Greg Blomquist 2012-03-28 15:22:55 UTC
Working spr and scollier to get what they put together before.

Comment 5 Greg Blomquist 2012-03-28 22:18:29 UTC
The fix we're putting in place for this is to add an "examples" directory in
all config servers.

The directory will be accessible from:

  https://<config_server_url>/examples

The first example will be a deployable written by jlaska that connects a
launched guest back to a Katello server.

That example can be seen here: 
http://blomquisg.fedorapeople.org/katello-register.xml

Comment 6 Greg Blomquist 2012-03-29 13:22:34 UTC
Pushed change to our 1.0 branch for config server.

https://github.com/aeolusproject/audrey/commit/a2718d70d83ce74e181c034de3c63c06f747f329

Comment 7 Greg Blomquist 2012-03-29 13:39:04 UTC
Brew build:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=4225573

Comment 8 wes hayutin 2012-03-29 14:39:04 UTC
/me is looking for where the product cert is dropped in for ec2 instances.

Comment 10 Greg Blomquist 2012-04-02 15:13:34 UTC
FAILED QE:

There was some miscommunication here (i.e., I missed something).

jlaska included a second deployable example that drops the product cert for ec2 instances.  I didn't realize we were including that for this drop.

I'm moving this back to assigned to pick these changes up.

Comment 12 wes hayutin 2012-04-06 00:03:41 UTC
k.. we should open a separate bugs for 

  1. ec2
  2. pre-rhel6.2

1. registering from ec2 instances will not block the release as its GSS supported only.

2. pre-rhel6.2 registration will block the release of CF. We need this to work on  RHEL5U6 - current, and RHEL 6.x

Comment 13 Greg Blomquist 2012-04-10 14:22:28 UTC
I'll just push the fix against this bug.

https://github.com/aeolusproject/audrey/commit/71edaef5afbd98c6f6dfe87a3469a36ffbd6b0db

Comment 14 Greg Blomquist 2012-04-10 14:55:28 UTC
Brew build: https://brewweb.devel.redhat.com/taskinfo?taskID=4276765

Comment 15 Greg Blomquist 2012-04-10 16:54:30 UTC
New brew build with updated version: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=4277078

Comment 17 wes hayutin 2012-04-17 19:03:57 UTC
[root@cloudEngine-audrey ~]# cat /etc/httpd/conf.d/aeolus-configserver-vhost443.conf | grep examples
  Alias /examples "/usr/share/aeolus-configserver/examples"
  <Directory "/usr/share/aeolus-configserver/examples">
  # for directory listing in examples dir
  ProxyPass /examples !
  ProxyPassReverse /examples !


[root@cloudEngine-audrey ~]# rpm -qa | grep aeolus-configserver
aeolus-configserver-0.4.7-1.el6.noarch

Comment 18 errata-xmlrpc 2012-05-15 20:54:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0585.html


Note You need to log in before you can comment on or make changes to this bug.